Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.bind
Class UnsatisfiedServletRequestParameterException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.servlet.ServletException
                  org.springframework.web.util.NestedServletException
                      org.springframework.web.bind.ServletRequestBindingException
                          org.springframework.web.bind.UnsatisfiedServletRequestParameterException

All Implemented Interfaces:
  java.io.Serializable

    public class UnsatisfiedServletRequestParameterException

extends ServletRequestBindingException

`ServletRequestBindingException` subclass that indicates an unsatisfied parameter condition, as typically expressed using an `@RequestMapping` annotation at the `@Controller` type level.

Since:
  3.0
Author:
  Juergen Hoeller
See Also:
  `RequestMapping.params()`, Serialized Form

Constructor Summary
`UnsatisfiedServletRequestParameterException(java.lang.String[] paramConditions, java.util.Map actualParams)` Create a new UnsatisfiedServletRequestParameterException.

Method Summary
`java.util.Map<java.lang.String,java.lang.String[]>` | `getActualParams()` Return the actual parameter Map associated with the ServletRequest.
`java.lang.String` | `getMessage()` Return the detail message, including the message from the nested exception if there is one.
`java.lang.String[]` | `getParamConditions()` Return the parameter conditions that have been violated.

Methods inherited from class javax.servlet.ServletException
`getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnsatisfiedServletRequestParameterException

    public UnsatisfiedServletRequestParameterException(java.lang.String[] paramConditions,
                                                       java.util.Map actualParams)

  Create a new UnsatisfiedServletRequestParameterException.

  Parameters:
    `paramConditions` - the parameter conditions that have been violated
    `actualParams` - the actual parameter Map associated with the ServletRequest

Method Detail

### getMessage

    public java.lang.String getMessage()

  Description copied from class: `NestedServletException`
  Return the detail message, including the message from the nested exception if there is one.

  Overrides:
    `getMessage` in class `NestedServletException`

### getParamConditions

    public final java.lang.String[] getParamConditions()

  Return the parameter conditions that have been violated.

  See Also:
    `RequestMapping.params()`

### getActualParams

    public final java.util.Map<java.lang.String,java.lang.String[]> getActualParams()

  Return the actual parameter Map associated with the ServletRequest.

  See Also:
    `ServletRequest.getParameterMap()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD